Problema amb l’actualització del paquet network-manager 0.9.1.90-0ubuntu5.1: el wifi no funciona amb la targeta Broadcom BCM4312

Ahir vaig observar que no podia connectar-me al wifi domèstic amb un dels ultraportàtils, el Latitude 2100, emprant una instal·lació de la Lubuntu 11.10 sobre una targeta SDHD. Curiosament, amb la mateixa targeta, però sobre l’altre netbook (ASUS EeePC 701), m’hi connectava perfectament.

Després de barallar-m’hi una mica (una mica bastant, en realitat), i gràcies al comportament diferent d’altres instal·lacions (totes sobre unitats externes) sobre aquests dos aparells, he arribat a la conclusió que la culpa era de l’actualització del paquet network-manager a la versió 0.9.1.90-0ubuntu5.1.

Els primers sospitosos havien estat els paquets isc-dhcp-client i isc-dhcp-common, actualitzats tots dos a la versió 4.1.1-P1-17ubuntu10.1, però ara no estic segur que formin part del problema.

Tot s’ha solucionat forçant el sistema a instal·lar network-manager 0.9.1.90-0ubuntu3. Després de reiniciar, el wifi funcionava normalment.

Per forçar les versions, he obert el Synaptic, he triat el paquet network-manager, he clicat sobre Paquet / Força la versió; en la pestanya, he triat la versió que acabo d’indicar i he clicat sobre el botó Força la versió. Per evitar problemes, he blocat les versions (sempre en Synaptic, amb els paquets seleccionats: Paquet / Bloca la versió).

Si preferiu emprar la CLI:

$ sudo aptitude install network-manager=0.9.1.90-0ubuntu3

us tornarà a instal·lar la versió que funciona. Crec que no hi cal (crec que va implícit en l’operació anterior), però, per si de cas, he forçat a mantenir aquesta versió del paquet amb:

$ sudo aptitude hold network-manager

Sospito que el problema ve per alguna incompatibilitat entre entre el paquet network-manager .9.1.90-0ubuntu5.1 i la targeta wifi del Latitude (Broadcom BCM4312), o el paquet amb els controladors (privatius) que fa servir: bcmwl-kernel-source.

Pel que pogut observar, amb altres targetes no hi ha problema. I potser el tipus de protecció de la xarxa també hi té a veure, però no ho he estudiat (a mi m’ha passat amb WPA/WPA2).

Bona sort.

Quant a Giorgio Grappa

Algú fa cas de les coses que els blocaires escriuen sobre ells mateixos? El comentari més sincer que he llegit als "about me" és aquell de: "si vols saber res de mi, pots llegir el meu bloc."
Aquesta entrada ha esta publicada en Administració, Broadcom BCM4312, dell latitude 2100, latitude 2100, maquinari, wifi. Afegeix a les adreces d'interès l'enllaç permanent.

3 respostes a Problema amb l’actualització del paquet network-manager 0.9.1.90-0ubuntu5.1: el wifi no funciona amb la targeta Broadcom BCM4312

  1. jmapsons ha dit:

    Has enviat el bug perquè ho solucionin?

    Salut!

Deixa un comentari

Fill in your details below or click an icon to log in:

WordPress.com Logo

Esteu comentant fent servir el compte WordPress.com. Log Out / Canvia )

Twitter picture

Esteu comentant fent servir el compte Twitter. Log Out / Canvia )

Facebook photo

Esteu comentant fent servir el compte Facebook. Log Out / Canvia )

Google+ photo

Esteu comentant fent servir el compte Google+. Log Out / Canvia )

Connecting to %s